Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.layout
Class LayoutIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LayoutID>
              com.bea.portal.tools.portal.layout.LayoutIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class LayoutIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LayoutID>

Builds and parses `LayoutID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`LayoutIDBuilder()` Constructor.

Method Summary
`LayoutID` | `createResourceID()` Create the `LayoutDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent layout definition.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Get the `LayoutDefinitionId`.
`LayoutIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`LayoutIDBuilder` | `setId(Integer id)` Change the identifier of the referrent layout definition.
`LayoutIDBuilder` | `setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)` Change the `LayoutDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutIDBuilder

    public LayoutIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public LayoutIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `LayoutDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<LayoutID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent layout definition.

  Returns
    the identifier of the referrent layout definition

### setId

    public LayoutIDBuilder setId(Integer id)

  Change the identifier of the referrent layout definition.

  Parameters
    `id` - the identifier of the referrent layout definition
  Returns
    this `LayoutIDBuilder`

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Get the `LayoutDefinitionId`.

  Returns
    the `LayoutDefinitionId`

### setLayoutDefinitionId

    public LayoutIDBuilder setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)

  Change the `LayoutDefinitionId`.

  Parameters
    `layoutDefinitionId` - the `LayoutDefinitionId`
  Returns
    this `LayoutDefinitionIDBuilder`

### createResourceID

    public LayoutID createResourceID()

  Create the `LayoutDefinitionsID`. the `LayoutDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<LayoutID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.